diff --git a/tutorials/incompressible/icoFoam/Allclean b/tutorials/incompressible/icoFoam/Allclean
index 79a05d40a4b01355307a450fa5b39582e451f17e..587ffb1d53f8fe03b1b964f9b053221d33aa41e8 100755
--- a/tutorials/incompressible/icoFoam/Allclean
+++ b/tutorials/incompressible/icoFoam/Allclean
@@ -30,4 +30,7 @@ do
     removeCase $caseName
 done
 
+
+(cd elbow && ./Allclean)
+
 # ----------------------------------------------------------------- end-of-file
diff --git a/tutorials/incompressible/icoFoam/Allrun b/tutorials/incompressible/icoFoam/Allrun
index 44d04afe47a2beb8649653f22a7705084e1b40ff..acdcaabaee310f6886471d32f403bac2474ce20c 100755
--- a/tutorials/incompressible/icoFoam/Allrun
+++ b/tutorials/incompressible/icoFoam/Allrun
@@ -18,12 +18,6 @@ runMapFieldsConsistent()
     mapFieldsNew $1 -case $2 -sourceTime latestTime -consistent > $2/log.mapFields 2>&1
 }
 
-runFluentMeshToFoam()
-{
-    echo "fluentMeshToFoam: converting mesh $2"
-    fluentMeshToFoam $2 -case $1 > $1/log.fluentMeshToFoam 2>&1
-}
-
 copySolutionDirs()
 {
     echo "Copying $2/0* directory to $1"
@@ -95,16 +89,8 @@ do
     ( cd $caseName && runApplication `getApplication` )
 done
 
-# elbow case for testing Fluent-FOAM conversion tools
 
-runFluentMeshToFoam elbow elbow/elbow.msh
-
-(
-    cd elbow || exit
-
-    runApplication `getApplication`
-    runApplication foamMeshToFluent
-    runApplication foamDataToFluent
-)
+# elbow case for testing Fluent-FOAM conversion tools
+(cd elbow && ./Allrun)
 
 # ----------------------------------------------------------------- end-of-file
diff --git a/tutorials/incompressible/icoFoam/elbow/Allclean b/tutorials/incompressible/icoFoam/elbow/Allclean
new file mode 100755
index 0000000000000000000000000000000000000000..02a68a6b17bb4d336d4bc1afe3b50977eb14c0d4
--- /dev/null
+++ b/tutorials/incompressible/icoFoam/elbow/Allclean
@@ -0,0 +1,11 @@
+#!/bin/sh
+cd ${0%/*} || exit 1    # run from this directory
+
+# Source tutorial clean functions
+. $WM_PROJECT_DIR/bin/tools/CleanFunctions
+
+rm -f constant/polyMesh/boundary
+rm -rf fluentInterface
+cleanCase
+
+# ----------------------------------------------------------------- end-of-file
diff --git a/tutorials/incompressible/icoFoam/elbow/Allrun b/tutorials/incompressible/icoFoam/elbow/Allrun
new file mode 100755
index 0000000000000000000000000000000000000000..07a1ffac39d3ac66ae533ba8562068790259dcda
--- /dev/null
+++ b/tutorials/incompressible/icoFoam/elbow/Allrun
@@ -0,0 +1,15 @@
+#!/bin/sh
+cd ${0%/*} || exit 1    # run from this directory
+
+# Source tutorial run functions
+. $WM_PROJECT_DIR/bin/tools/RunFunctions
+
+# Get application directory
+application=`getApplication`
+
+runApplication fluentMeshToFoam elbow.msh
+runApplication "$application"
+runApplication foamMeshToFluent
+runApplication foamDataToFluent
+
+# ----------------------------------------------------------------- end-of-file
diff --git a/tutorials/incompressible/icoFoam/elbow/constant/polyMesh/boundary b/tutorials/incompressible/icoFoam/elbow/constant/polyMesh/boundary
deleted file mode 100644
index fbdbc176b35e0c489628af5632951f8b8c19f2d4..0000000000000000000000000000000000000000
--- a/tutorials/incompressible/icoFoam/elbow/constant/polyMesh/boundary
+++ /dev/null
@@ -1,58 +0,0 @@
-/*--------------------------------*- C++ -*----------------------------------*\
-| =========                 |                                                 |
-| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
-|  \\    /   O peration     | Version:  dev                                   |
-|   \\  /    A nd           | Web:      www.OpenFOAM.org                      |
-|    \\/     M anipulation  |                                                 |
-\*---------------------------------------------------------------------------*/
-FoamFile
-{
-    version     2.0;
-    format      ascii;
-    class       polyBoundaryMesh;
-    location    "constant/polyMesh";
-    object      boundary;
-}
-// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //
-
-6
-(
-    wall-4
-    {
-        type            wall;
-        nFaces          100;
-        startFace       1300;
-    }
-    velocity-inlet-5
-    {
-        type            patch;
-        nFaces          8;
-        startFace       1400;
-    }
-    velocity-inlet-6
-    {
-        type            patch;
-        nFaces          4;
-        startFace       1408;
-    }
-    pressure-outlet-7
-    {
-        type            patch;
-        nFaces          8;
-        startFace       1412;
-    }
-    wall-8
-    {
-        type            wall;
-        nFaces          34;
-        startFace       1420;
-    }
-    frontAndBackPlanes
-    {
-        type            empty;
-        nFaces          1836;
-        startFace       1454;
-    }
-)
-
-// ************************************************************************* //